<?php
/**
 * Plugin Name: Ads Parameters
 * Description: Allows use of Ads parameters
 * Version: 1.0.0
 * Author: Naviga Web Team
 */
require 'vendor/autoload.php';
use Infomaker\EverywareAdsParameters\PluginAdsForm;
use Infomaker\EverywareAdsParameters\PluginAdsParameters;
use Everyware\ProjectPlugin\Components\Adapters\PluginSettingsTabAdapter;
use Everyware\ProjectPlugin\Helpers\FileReader;
use Everyware\ProjectPlugin\Components\ComponentAdmin;
use Everyware\ProjectPlugin\ProjectPlugin;
use Infomaker\Everyware\Twig\ViewSetup;

if (!defined('WPINC') || !class_exists(ProjectPlugin::class)) {
    exit;
}

ViewSetup::getInstance()->registerTwigFolder('plugins-ads-parameter', __DIR__.'/src/templates/');

if (is_admin()) {
    $ads = new PluginAdsParameters();
    $pluginadsTab = new ComponentAdmin(
        new PluginAdsForm(new FileReader(__FILE__)),
        $ads
    );
    $ads->init();
    ProjectPlugin::getInstance()->addSettingsTab(new PluginSettingsTabAdapter($pluginadsTab));
}
